Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.data
Class TimeActivityDependence

    java.lang.Object
      |
      +--timetable.data.AbstractActivityDependence
            |
            +--timetable.data.TimeActivityDependence

All Implemented Interfaces:
  ActivityDependenceInterface

public class TimeActivityDependence
extends AbstractActivityDependence

Základní časové závislosti mezi předměty.
Mezi tyto závislosti patří: (dle typu)

0 .. bez závislosti
- 1 .. první aktivita před druhou
- 2 .. první aktivta těsně před druhou
- 3 .. první aktivita za druhou
- 4 .. první aktivita těsně za druhou
- 5 .. souběžný běh aktivit

Field Summary
`static int` | `AFTER` typ závislosti - první za druhou
`static int` | `BEFORE` typ závislosti - první před druhou
`static int` | `CLOSELY_AFTER` typ závislosti - první těsně za druhou
`static int` | `CLOSELY_BEFORE` typ závislosti - první těsně před druhou
`static int` | `CONCURRENCY` typ závislosti - souběžně
`static java.lang.String` | `DEPENDENCE_NAME` jméno závislostí
`static int` | `NO_DEPENDENCE` typ závislosti - bez závislosti
`protected static java.lang.String[]` | `TYPES` jména závislostí

Fields inherited from class timetable.data.AbstractActivityDependence
`first, second, type`

Constructor Summary
`TimeActivityDependence()` Konstruktor.
`TimeActivityDependence(Activity first, int type, Activity second)` Konstruktor.

Method Summary
`java.lang.String` | `getDependenceName()` Vrátí jméno závislosti - pro vizualizaci.
`java.lang.String[]` | `getTypes()` Vrátí pole jmen jednotlivých typů podmínky - pro vizualizaci !
`boolean` | `isOK(int activityStart1, int activityStart2)` Zjištění splnění podmínky
`ActivityDependenceInterface` | `read(java.io.ObjectInputStream in, ActivityGroup allActivities)` Načte objekt ze streamu
`java.lang.String` | `toString()` Vrátí řetězec popisující závislost.
`void` | `write(java.io.ObjectOutputStream out, ActivityGroup allActivites)` Zapíše objekt do streamu

Methods inherited from class timetable.data.AbstractActivityDependence
`getAnotherActivity, getFirstActivity, getSecondActivity, getType, isOK, isOK, participate, setFirstActivity, setSecondActivity, setType`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_DEPENDENCE

    public static int NO_DEPENDENCE

  typ závislosti - bez závislosti

### BEFORE

    public static int BEFORE

  typ závislosti - první před druhou

### CLOSELY_BEFORE

    public static int CLOSELY_BEFORE

  typ závislosti - první těsně před druhou

### AFTER

    public static int AFTER

  typ závislosti - první za druhou

### CLOSELY_AFTER

    public static int CLOSELY_AFTER

  typ závislosti - první těsně za druhou

### CONCURRENCY

    public static int CONCURRENCY

  typ závislosti - souběžně

### DEPENDENCE_NAME

    public static java.lang.String DEPENDENCE_NAME

  jméno závislostí

### TYPES

    protected static java.lang.String[] TYPES

  jména závislostí

Constructor Detail

### TimeActivityDependence

    public TimeActivityDependence()

  Konstruktor.

### TimeActivityDependence

    public TimeActivityDependence(Activity first,
                                  int type,
                                  Activity second)

  Konstruktor.
  Parameters:
    `first` - první aktyvita
    `type` - typ závislosti
    `second` - druhá aktivita

Method Detail

### getDependenceName

    public java.lang.String getDependenceName()

  Vrátí jméno závislosti - pro vizualizaci. Např: časová závislots
  Overrides:
    `getDependenceName` in class `AbstractActivityDependence`
  Returns:
    jméno závislosti

### getTypes

    public java.lang.String[] getTypes()

  Vrátí pole jmen jednotlivých typů podmínky - pro vizualizaci !
  Overrides:
    `getTypes` in class `AbstractActivityDependence`
  Returns:
    pole jmen typů

### isOK

    public boolean isOK(int activityStart1,
                        int activityStart2)

  Zjištění splnění podmínky
  Overrides:
    `isOK` in class `AbstractActivityDependence`
  Parameters:
    `activityStart1` - začátek první aktivity
    `activityStart2` - začátek druhé aktivity
  Returns:
    true, pokud bude podmínka splěna

### toString

    public java.lang.String toString()

  Vrátí řetězec popisující závislost. Tvar: "DEP " + zkratka první aktivity + jméno typu závislosti + zkratka druhé aktivity
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    popis závislosti

### write

    public void write(java.io.ObjectOutputStream out,
                      ActivityGroup allActivites)
               throws java.io.IOException

  Zapíše objekt do streamu
  Overrides:
    `write` in class `AbstractActivityDependence`
  Parameters:
    `out` - stream
    `allActivities` - množina všech aktivit

### read

    public ActivityDependenceInterface read(java.io.ObjectInputStream in,
                                            ActivityGroup allActivities)
                                     throws java.io.IOException,
                                            java.lang.ClassNotFoundException

  Načte objekt ze streamu
  Overrides:
    `read` in class `AbstractActivityDependence`
  Parameters:
    `in` - stream
    `allActivities` - množina všech aktivit
  Returns:
    načtený objekt

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD